#ifndef MAXMIN_H
#define MAXMIN_H

#ifdef __cplusplus
extern "C" {
#endif

// Simple simplex-ish method for solving a linear max-min problem:
// max_x min_i (A*x+b)_i
// for given m*n matrix A (stored row-by-row!) and m vector b.
// If x is a decent initial guess, send it in to speed things up.
// Returns 0 if no solution exists (for sure),
// or 1 if a solution was found or the code gave up trying to find more.

int
solve_maxmin(const int m,
             const int n,
             const double* A,
             const double* b,
             const int use_initial_guess,
             double* x);

#ifdef __cplusplus
}
#endif

#endif
